namespace MapCommaSeparatedValue {
    
    
    [Microsoft.XLANGs.BaseTypes.SchemaReference(@"MapCommaSeparatedValue.CommaSeparatedSchema", typeof(MapCommaSeparatedValue.CommaSeparatedSchema))]
    [Microsoft.XLANGs.BaseTypes.SchemaReference(@"MapCommaSeparatedValue.MultipleElementsSchema", typeof(MapCommaSeparatedValue.MultipleElementsSchema))]
    public sealed class CommaToMultiple : Microsoft.XLANGs.BaseTypes.TransformBase {
        
        private const string _strMap = @"<?xml version=""1.0"" encoding=""UTF-16""?>
<xsl:stylesheet xmlns:xsl=""http://www.w3.org/1999/XSL/Transform"" xmlns:msxsl=""urn:schemas-microsoft-com:xslt"" xmlns:var=""http://schemas.microsoft.com/BizTalk/2003/var"" exclude-result-prefixes=""msxsl var s0"" version=""1.0"" xmlns:s0=""http://MapCommaSeparatedValue.CommaSeparatedSchema"" xmlns:ns0=""http://MapCommaSeparatedValue.MultipleElementsSchema"">
  <xsl:output omit-xml-declaration=""yes"" method=""xml"" version=""1.0"" />
  <xsl:template match=""/"">
    <xsl:apply-templates select=""/s0:CommaSeparatedRoot"" />
  </xsl:template>
  <xsl:template match=""/s0:CommaSeparatedRoot"">
    <ns0:MultipleElementsRoot>
      <xsl:call-template name=""MyXsltSplitTemplate"">
        <xsl:with-param name=""param1"" select=""string(CommaField/text())"" />
      </xsl:call-template>
    </ns0:MultipleElementsRoot>
  </xsl:template>
  <xsl:template name=""MyXsltSplitTemplate"">
<xsl:param name=""param1"" />
<xsl:if test=""$param1 != ''"">
<xsl:element name=""MyField"">
<xsl:choose>
<xsl:when test=""contains($param1, ',')"">
<xsl:value-of select=""substring-before($param1, ',')"" />
</xsl:when>
<xsl:otherwise>
<xsl:value-of select=""$param1"" />
</xsl:otherwise>
</xsl:choose>
</xsl:element>

<xsl:call-template name=""MyXsltSplitTemplate"">
<xsl:with-param name=""param1"" select=""substring-after($param1, ',')"" />
</xsl:call-template>
</xsl:if>
</xsl:template>
</xsl:stylesheet>";
        
        private const string _strArgList = @"<ExtensionObjects />";
        
        private const string _strSrcSchemasList0 = @"MapCommaSeparatedValue.CommaSeparatedSchema";
        
        private const string _strTrgSchemasList0 = @"MapCommaSeparatedValue.MultipleElementsSchema";
        
        public override string XmlContent {
            get {
                return _strMap;
            }
        }
        
        public override string XsltArgumentListContent {
            get {
                return _strArgList;
            }
        }
        
        public override string[] SourceSchemas {
            get {
                string[] _SrcSchemas = new string [1];
                _SrcSchemas[0] = @"MapCommaSeparatedValue.CommaSeparatedSchema";
                return _SrcSchemas;
            }
        }
        
        public override string[] TargetSchemas {
            get {
                string[] _TrgSchemas = new string [1];
                _TrgSchemas[0] = @"MapCommaSeparatedValue.MultipleElementsSchema";
                return _TrgSchemas;
            }
        }
    }
}
