namespace MapCommaSeparatedValue {
    using Microsoft.XLANGs.BaseTypes;
    
    
    [SchemaType(SchemaTypeEnum.Document)]
    [Schema(@"http://MapCommaSeparatedValue.MultipleElementsSchema",@"MultipleElementsRoot")]
    [System.SerializableAttribute()]
    [SchemaRoots(new string[] {@"MultipleElementsRoot"})]
    public sealed class MultipleElementsSchema : Microsoft.XLANGs.BaseTypes.SchemaBase {
        
        [System.NonSerializedAttribute()]
        private static object _rawSchema;
        
        [System.NonSerializedAttribute()]
        private const string _strSchema = @"<?xml version=""1.0"" encoding=""utf-16""?>
<xs:schema xmlns:b=""http://schemas.microsoft.com/BizTalk/2003"" xmlns=""http://MapCommaSeparatedValue.MultipleElementsSchema"" targetNamespace=""http://MapCommaSeparatedValue.MultipleElementsSchema"" xmlns:xs=""http://www.w3.org/2001/XMLSchema"">
  <xs:element name=""MultipleElementsRoot"">
    <xs:complexType>
      <xs:sequence>
        <xs:element maxOccurs=""unbounded"" name=""MyField"" type=""xs:string"" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
</xs:schema>";
        
        public MultipleElementsSchema() {
        }
        
        public override string XmlContent {
            get {
                return _strSchema;
            }
        }
        
        public override string[] RootNodes {
            get {
                string[] _RootElements = new string [1];
                _RootElements[0] = "MultipleElementsRoot";
                return _RootElements;
            }
        }
        
        protected override object RawSchema {
            get {
                return _rawSchema;
            }
            set {
                _rawSchema = value;
            }
        }
    }
}
